Subject: ANNOUNCE: New Release of WWW DB Programming for WINNT Examples
From: [email-masked] (Brian C. Jepson)
Date: 2 Jan 1997 16:12:50 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc

A new release of the example code from my book, World Wide Web Database
Programming for Windows NT, has been made available on:

  http://www.ids.net/~bjepson/www-database

The examples in this book teach Windows NT and Windows 95 developers how to
make ODBC data sources available on the World Wide Web using Perl and Jive. 

Most of the examples in the book require:

  * ActiveWare's port of Perl 5.001m to Win32 (http://www.activeware.com)
  * Lincoln Stein's CGI module (available from your local CPAN archive)
  * Dave Roth's Win32::ODBC module (ditto).

This release was motivated by a desire to make the examples work with 
web servers other than the EMWAC server, and to take advantage of the 
functionality available in the CGI and Win32::ODBC modules. The original
release featured CGI_Lite (which is a great tool, nonetheless) and 
NT::ODBC, which cannot be used with builds of ActiveWare's Perl port
greater than and including 106. BTW, I still think the EMWAC server 
is great, but I wanted the flexibility to support other servers, and I 
wanted it to run under Windows 95.

This release has been tested with the Fnord! server, available at:

  http://www.wpi.edu/~bmorin/fnord

Fnord! is freely redistributable and runs under Windows 95 and Windows NT. 

This release is 1.90b, and that number will increase with subsequent 
releases, until (hopefully) it reaches 2.0. By then, I'd like to eliminate
any bugs, introduce better error handling, and de-bogify the Chapter 6 
examples so they look more like an application.

Although you don't have to own the book to use the examples, it might help
out, so here's the relevant info:

World Wide Web Database Programming for Windows NT
ISBN 0-471-14930-6
Published by Wiley Computer Publishing (John Wiley and Sons, Inc.)
by Brian Jepson
352 pages (counting the index; am I supposed to do that?)

The current release of the examples is missing a few pieces that right now
can only be found on the book's CD-ROM, including some of the modules, and
the database examples. I'll try to get these pieces into the next release,
as this will help people who can't buy the book, and also means that people
who bought the book don't have to puzzle out what's a keeper and what's 
not. 

I'd like to encourage folks who use this to send me any bug reports or
feature requests, although I can't promise I'll respond to every mail on
it. Once this code is released as version 2.0, I'll provide the same
level of support that I've provided with the book. Typically, I try to
answer questions and comments regarding the book within 24 hours of reading
them. Sometimes it takes longer, especially around the holidays and when 
I'm working on another book :-) The only people who might have missed 
replies are people whose addresses caused my reply to bounce - I've only 
had a couple instances of that.

Nevertheless, I still encourage users to send me email regarding this beta
release, since I will need user feedback to beat this thing into shape - I
invite feature requests as well as bug reports.

Be seeing you,

-- 
Brian Jepson * ([email-masked])  *  http://www.ids.net/~bjepson
  Int(ra|er)net Database Developer, Author, Crypto-Fluxologist
Non-Prophet Arts Technology Flux:      http://www.ids.net/~as220
WWW/Database/NT,Java/Database: http://www.ids.net/~bjepson/books